package cn.gygxzc.envir.bus.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by niantuo on 2018/12/17.
 * 消息推送的模型
 * @see   PushModel
 * type 为100 表示群发系统消息。content 应该是富文本。toUserIds 可为null或者是空
 */

public class PushModel {

    public static final int TYPE_SYS=100;//群发的系统消息

    private String content;
    private int type;
    private String contentType;
    private String urls;
    private String title;
    private String remark;
    private List<Long> toUserIds = new ArrayList<>();

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public String getUrls() {
        return urls;
    }

    public void setUrls(String urls) {
        this.urls = urls;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<Long> getToUserIds() {
        return toUserIds;
    }

    public void setToUserIds(List<Long> toUserIds) {
        this.toUserIds = toUserIds;
    }


    /**
     * 这个先随便写点吧，
     * @return
     */
    @Override
    public String toString() {
        return String.format("type: %s,content:%s",type,content);
    }
}
